## org.apache.axis.components.jms
Class JMSVendorAdapter

    java.lang.Object
      |
      +--org.apache.axis.components.jms.JMSVendorAdapter

Direct Known Subclasses:
  BeanVendorAdapter, JNDIVendorAdapter

public abstract class JMSVendorAdapter
extends java.lang.Object

SPI Interface that all JMSVendorAdaptors must implement. Allows for ConnectionFactory creation and Destination lookup

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com)

Field Summary
`static int` `CONNECT_ACTION`
`static int` `ON_EXCEPTION_ACTION`
`static int` `RECEIVE_ACTION`
`static int` `SEND_ACTION`
`static int` `SUBSCRIBE_ACTION`

Constructor Summary
`JMSVendorAdapter()`

Method Summary
`javax.jms.Queue` `getQueue(javax.jms.QueueSession session, java.lang.String name)`
`abstract javax.jms.QueueConnectionFactory` `getQueueConnectionFactory(java.util.HashMap cfProps)`
`javax.jms.Topic` `getTopic(javax.jms.TopicSession session, java.lang.String name)`
`abstract javax.jms.TopicConnectionFactory` `getTopicConnectionFactory(java.util.HashMap cfProps)`
`boolean` `isRecoverable(java.lang.Throwable thrown, int action)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEND_ACTION

    public static final int SEND_ACTION

See Also:
  Constant Field Values

### CONNECT_ACTION

    public static final int CONNECT_ACTION

See Also:
  Constant Field Values

### SUBSCRIBE_ACTION

    public static final int SUBSCRIBE_ACTION

See Also:
  Constant Field Values

### RECEIVE_ACTION

    public static final int RECEIVE_ACTION

See Also:
  Constant Field Values

### ON_EXCEPTION_ACTION

    public static final int ON_EXCEPTION_ACTION

See Also:
  Constant Field Values

Constructor Detail

### JMSVendorAdapter

    public JMSVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public abstract javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfProps)
                                                                        throws java.lang.Exception

    `java.lang.Exception`

### getTopicConnectionFactory

    public abstract javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfProps)
                                                                        throws java.lang.Exception

    `java.lang.Exception`

### getQueue

    public javax.jms.Queue getQueue(javax.jms.QueueSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

    `java.lang.Exception`

### getTopic

    public javax.jms.Topic getTopic(javax.jms.TopicSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

    `java.lang.Exception`

### isRecoverable

    public boolean isRecoverable(java.lang.Throwable thrown,
                                 int action)

Copyright © 2003 Apache Web Services Project. All Rights Reserved.